<!doctype html>
<html lang="ru">
	<head>
	
	<?php $page->get_headhtml();?>
	
        <title><?php $page->get_title();?></title>

        <meta charset="utf-8">
		<meta http-equiv="description" content="<?php $page->get_description();?>">
		<meta name="keywords" content="<?php $page->get_keywords();?>">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Main CSS --> 
        <link rel="stylesheet" href="/modules/harmonic/css/style.css">

        <!-- Font Awesome -->
        <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
		<script>
			function Add_ClassName (selector, class_name)
				{
					var elements = document.querySelectorAll(selector);
					for (var i = 0; i < elements.length; i++) 
						{
							elements[i].className = class_name;
						}
				}
		</script>
    </head>
  
    <body>
    
        <div class="outer-wrapper">
            
            <!-- Header navigation -->
            <header>
                <div class="headers d-none d-md-block">
                    <h1><?php $page->get_header();?></h1>
                    <h2><?php $page->get_slogan();?></h2>
                </div>
				
				<?php if($Page->isIndexPage()):?>
                <img src="/modules/harmonic/profile.jpg" alt="" />
				<?php endif;?>
				<?php if(!$Page->isIndexPage()):?>
				 <img src="/modules/harmonic/file.jpg" alt="" />
				<?php endif;?>
            </header>
    
            <!-- Main navigation -->
            <nav class="navbar navbar-expand-md navbar-dark bg-primary">

                    <!-- Company name shown on mobile -->
                    <a class="navbar-brand d-md-none d-lg-none d-xl-none" href="#"><?php $page->get_header();?></a>

                    <!-- Mobile menu toggle -->
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#mainNavbar" aria-controls="mainNavbar" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>

                    <!-- Main navigation items -->
                    <div class="collapse navbar-collapse" id="mainNavbar">
                        <ul class="navbar-nav mr-auto">
						
						<?php $page->get_menu();?>
						
                        </ul>
						
						<script>
							Add_ClassName('.navbar li', 'nav-item');
							Add_ClassName('.navbar li a', 'nav-link');
							
							var tags = document.querySelectorAll('.navbar li');
								for (i in tags) {
									if (tags[i].firstChild) {
										if (document.location.href == tags[i].firstChild.href) {
											tags[i].className +=" active";
										}
									}
								}
						</script>
						
                    </div>

            </nav>

            <!-- Main content area -->
            <main>
                <article>
                    <h2 class="article-title"><?php $page->get_name();?></h2>

                    <?php $page->get_content();?>
                </article>
            </main>
            
			<!-- Social icons  -->
            <div class="social-icons text-center">
                <a href="#"><i class="fa fa-tumblr-square fa-3x"></i></a>
                <a href="#"><i class="fa fa-envelope-square fa-3x"></i></a>
                <a href="#"><i class="fa fa-snapchat fa-3x"></i></a>
                <a href="#"><i class="fa fa-facebook-square fa-3x"></i></a>
                <a href="#"><i class="fa fa-twitter-square fa-3x"></i></a>
                <a href="#"><i class="fa fa-youtube-square fa-3x"></i></a>
                <a href="#"><i class="fa fa-instagram fa-3x"></i></a>
            </div>

            <!-- Footer -->
            <footer class="footer">
                    <p class="text-center">Free Website Template by <a href="https://zypopwebtemplates.com">ZyPop</a> | Сайт работает на <a href="https://my-engine.ru">MyEngine CMS</a></p>
                    <p class="text-center"><a href="#">ВВЕРХ</a></p>
            </footer>

        </div>

		<script>
			Add_ClassName("form[name='form_mail_module'] input[type='text']", "form-control");
			Add_ClassName("form[name='form_mail_module'] textarea", "form-control");
			Add_ClassName("form[name='form_mail_module'] input[type='submit']", "btn btn-secondary");
			
			Add_ClassName("form[name='searchForm'] input[type='text']", "form-control");
			Add_ClassName("form[name='searchForm'] input[type='submit']", "btn btn-secondary");
			
			Add_ClassName("form[name='forma'] input[type='text']", "form-control");
			Add_ClassName("form[name='forma'] input[type='password']", "form-control");
			Add_ClassName("form[name='forma'] input[type='submit']", "btn btn-secondary");
			
			Add_ClassName("form[name='commentForm'] input[type='text']", "form-control");
			Add_ClassName("form[name='commentForm'] button[type='submit']", "btn btn-secondary");
			Add_ClassName("form[name='commentForm'] button[type='button']", "btn btn-secondary");
			Add_ClassName("form[name='commentForm'] textarea", "form-control");
			
			if (document.querySelector('#errorAuth')) { document.querySelector('#errorAuth').innerHTML = '<div id="errorAuth"><a class="btn btn-secondary" href="/user">Авторизоваться</a></div>'; }
		</script>

        <!-- Bootcamp JavaScript -->
        <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>
		<script>$(".wrap_col-md-5").wrapAll("<div class='added-box row'></div>");</script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.3/js/bootstrap.min.js"></script>
		
		<?php $page->get_endhtml();?>
		
    </body>
</html>